Subject: [TOOLS-DEVELOPMENT] Tools Call Notes - 2018-04-10

From: Liz Flynn <[email-masked]>
Date: Tue, 10 Apr 2018 10:40:41 -0700

1. Datatracker Projects
  - Expected Datatracker Releases -- Robert and Henrik
    -- http://trac.tools.ietf.org/tools/ietfdb/wiki/MergePlan

Henrik and Robert will make sure enhancement tickets get created for the new IRTF requests.
Nothing to highlight in the merge plan. 

2. Community & Other Projects
  - Discontinue MonArch email archives -- Robert
    -- Community clearly still likes MonArch speed

Ryan has been working on some ways to make the mail archive tool more responsive. 
There are two other changes to improve performance: Cloudflare to cache static pages locally, 
also migrating to elastic search for back end. This has a dependency on Torchbox. 
Russ advises looping in Greg Wood to help with Torchbox. 
The update that uses the static pages should be ready in 2-4 weeks.

3. RFC Services Projects
  - RFC Format Contracts -- Heather and Robert
    -- IDnits
    -- Publication Formatter
    -- Text Submission
    -- RFClint
    -- SVGcheck
    -- XMLdiff

Robert: Nothing to add to what Heather sent in via email.

4. Server Infrastructure
  - IESG discussions of DMARC -- Henrik and Alexey
    -- Deployed for volunteer WGs.  Are they happy?
	Alexey: The only feedback I received was some duplicate messages, which Henrik is investigating. 
	I haven’t seen any complaints from moderators of the lists. For the most part, seems to be working as intended. 
	Alexey will reach out to John Levine and ask if he’s done any testing.

    -- Mail list system is too fragile.  What can be done?
	Henrik: There are many working parts and it’s hard to realize all the effects of changing anything. This fragility is a matter of a fragility in changing and modifying things, not fragile in handling email - the complexity of the system coupled with how hard it is to have a mental model of everything that happens with a message. I wrote a little script that ran through and tested some of the assumptions in the system before and after we made a change, in order to verify that some of the things that we’d seen go bad in the past hadn’t happened during this change. That script seems worthwhile to continue to build on. I don’t know if there’s anything to do about the complexity because we asked for it to be complex.
Backing out DMARC will be easier than turning on. Before we started making any changes Glen made a backup so we can always go back to that. Putting in the new ARC will of course run into many of the same potential pitfalls as we ran into this time. I suggest we start to try it out on the sandbox. 
Russ: I’d like to get the current system out and then once that’s behind us, take a look at how to do the ARC replacement. 

5. Parking Lot
  - Prepare the RFC Production Center code for publication

6. AOB
IESG selected Ekr as new liaison to the Tools team. Welcome Ekr!